#!/bin/sh

name="john"
title="John The Ripper"
package="john"
version="1.6"
build="1"
noarch="n"
build_info="Standard build."

info="A password cracker to detect weak Unix (and other) passwords."
desc="John the Ripper is a fast password cracker, currently
available for many flavors of Unix (11 are officially
supported, not counting different architectures), DOS,
Win32, BeOS, and OpenVMS. Its primary purpose is to
detect weak Unix passwords. It supports several crypt(3)
password hash types which are most commonly found on
various Unix flavors, as well as Kerberos AFS and
Windows NT/2000/XP LM hashes. Several other hash types
are added with contributed patches."
category="tools/security"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="doc/*,run/mailer"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://openwall.com/john/$name-$version.tar.gz

apply_patch cflags
apply_patch paths 1

verbose "Do you want to enable MMX optimization?"
yes_or_no enable_mmx n

if [ "$enable_mmx" = "y" ]; then

    make_option linux-x86-mmx-elf
    package_suffix mmx
    build_info " MMX enabled."

else

    make_option linux-x86-any-elf

fi

parent_package="$package"
write_info main

cd $src1/src

cp ../pwbuilder-make_options .

do_make

cd ../run

copy john $pkg_main/usr/bin
( cd $pkg_main/usr/bin
ln -s john unafs
ln -s john unique
ln -s john unshadow )
copy john.ini $pkg_main/usr/share/john
copy password.lst $pkg_main/usr/share/john
cp *.chr $pkg_main/usr/share/john

make_docs

make_package main

clean_up

# $Log: john.builder,v $
# Revision 1.2  2003/03/23 13:50:36  swiergot
# - Build 1.
#
# Revision 1.1  2003/03/23 13:38:10  swiergot
# - Initial release.
# - Version 1.6.
#
